Skip to main content
GET
/
network_flow_reports
/
{network_flow_report_token}
Get network flow report by token
curl --request GET \
  --url https://api.vantage.sh/v2/network_flow_reports/{network_flow_report_token} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/network_flow_reports/{network_flow_report_token}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/network_flow_reports/{network_flow_report_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "ntflw_lg_rprt_5a091da3979075e5",
  "title": "All Network Flow Logs",
  "default": false,
  "created_at": "2025-01-31T20:40:44Z",
  "workspace_token": "wrkspc_5c2f9bd4f7a647e2",
  "created_by_token": null,
  "start_date": "2025-01-24",
  "end_date": "2025-01-30",
  "date_interval": "last_7_days",
  "groupings": "resource_uuid,traffic_category,peer_resource_uuid",
  "flow_direction": null,
  "flow_weight": "costs",
  "filter": null
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

network_flow_report_token
string
required

Response

NetworkFlowReport model

token
string
required
title
string
required

The title of the NetworkFlowReport.

Example:

"Public Traffic Destinations"

default
boolean
required

Indicates whether the NetworkFlowReport is the default report.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string
required

The token for the Workspace the NetworkFlowReport is a part of.

start_date
string | null
required

The start date for the NetworkFlowReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-01"

end_date
string | null
required

The end date for the NetworkFlowReport. Only set for custom date ranges. ISO 8601 Formatted.

Example:

"2024-03-20"

date_interval
string | null
required

The date range for the NetworkFlowReport. Only present if a custom date range is not specified.

Example:

"last_month"

groupings
string | null
required

The grouping aggregations applied to the filtered data.

Example:

"cost_type, tag:account"

flow_direction
string | null
required

The flow weight of the NetworkFlowReport. Possible values: costs, bytes.

Example:

"ingress"

flow_weight
string
required

The flow weight of the NetworkFlowReport. Possible values: costs, bytes.

Example:

"costs"

filter
string | null
required

The filter applied to the NetworkFlowReport. Additional documentation available at https://docs.vantage.sh/vql.

created_by_token
string | null

The token for the User or Team that created this NetworkFlowReport.